display-directx(7)

NAME
display-directx, display-directxnt : DirectX (WIN32)

SYNOPSIS
display-directx: [ [-noinput] [-physz==<sizex>,<sizey>[dpi]] ] display-directxnt: [ [-noinput] [-physz==<sizex>,<sizey>[dpi]] ]

DESCRIPTION
Used for Win32 DirectX port of libGGI. Use display-directxnt on NT4 and Win2k systems.

OPTIONS

-noinput
    DirectX events sent to the window are not captured and merged with any other LibGII input sources. This allows one to take input from raw devices without receiving duplicate events should DirectX also be configured to use the device.

-physz==<sizex>,<sizey>[dpi]
    This option will override the physical screen size reported by the DirectX, which affects applications which wish to remain resolution independent. sizex,:p:sizey are the x,y size of the entire screen (not just the DirectX window containing the visual) in millimeters, unless the optional dpi string is affixed, in which case, they represent resolution in dots-per-inch. Yes, there are two equals signs there, for reasons of compatibility with other targets.

FEATURES

•   DirectBuffer always available.